summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/functions9
-rwxr-xr-xscripts/init-premount/thermal1
-rw-r--r--scripts/nfs4
3 files changed, 7 insertions, 7 deletions
diff --git a/scripts/functions b/scripts/functions
index c550123..6825519 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -40,15 +40,14 @@ log_end_msg()
update_progress()
{
+ [ -d /dev/.initramfs ] || return
+
if [ -z "$PROGRESS_STATE" ]; then
export PROGRESS_STATE=0
fi
- if [ -d /dev/.initramfs ]; then
- PROGRESS_STATE=$(($PROGRESS_STATE + 1))
- echo "PROGRESS_STATE=${PROGRESS_STATE}" \
- > /dev/.initramfs/progress_state
- fi
+ PROGRESS_STATE=$(($PROGRESS_STATE + 1))
+ echo "PROGRESS_STATE=${PROGRESS_STATE}" > /dev/.initramfs/progress_state
if [ -x /sbin/usplash_write ]; then
/sbin/usplash_write "PROGRESS $PROGRESS_STATE"
diff --git a/scripts/init-premount/thermal b/scripts/init-premount/thermal
index a41f6f3..d59af8a 100755
--- a/scripts/init-premount/thermal
+++ b/scripts/init-premount/thermal
@@ -18,6 +18,7 @@ esac
case "$DPKG_ARCH" in
# load the right modules
powerpc|ppc64)
+ modprobe -q i2c-keywest
modprobe -q therm_pm72
;;
i386|amd64|ia64)
diff --git a/scripts/nfs b/scripts/nfs
index a2f6c3e..89b5c20 100644
--- a/scripts/nfs
+++ b/scripts/nfs
@@ -9,9 +9,9 @@ mountroot ()
run_scripts /scripts/nfs-top
[ "$quiet" != "y" ] && log_end_msg
- modprobe nfs
+ modprobe -q nfs
# For DHCP
- modprobe af_packet
+ modprobe -q af_packet
ipconfig ${DEVICE}
. /tmp/net-${DEVICE}.conf